Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface ISingleItemSubscriberStream

All Superinterfaces:
  IClientStream, IStream, ISubscriberStream

    public interface ISingleItemSubscriberStream

extends ISubscriberStream

A subscriber stream that has only one item for play.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Field Summary

Fields inherited from interface org.red5.server.api.stream.IClientStream
`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

Method Summary
`void` | `setPlayItem(IPlayItem item)` Setter for property 'playItem'.

Methods inherited from interface org.red5.server.api.stream.ISubscriberStream
`isPaused, pause, play, receiveAudio, receiveVideo, resume, seek, stop`

Methods inherited from interface org.red5.server.api.stream.IClientStream
`getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start`

Method Detail

### setPlayItem

    void setPlayItem(IPlayItem item)

  Setter for property 'playItem'.

  Parameters:
    `item` - Value to set for property 'playItem'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project